package tv.ouya.console.internal;

import android.os.Bundle;
import android.os.RemoteException;
import tv.ouya.console.api.OuyaResponseListener;
import tv.ouya.console.api.store.AppDetails;

public class AppDetailsListenerBinder
  extends IAppDetailsListener.Stub
{
  private ListenerBinderHelper<AppDetails> binderHelper;
  
  public AppDetailsListenerBinder(OuyaResponseListener<AppDetails> paramOuyaResponseListener)
  {
    this.binderHelper = new ListenerBinderHelper(paramOuyaResponseListener);
  }
  
  public void onCancel()
    throws RemoteException
  {
    this.binderHelper.onCancel();
  }
  
  public void onFailure(int paramInt, String paramString, Bundle paramBundle)
    throws RemoteException
  {
    this.binderHelper.onFailure(paramInt, paramString, paramBundle);
  }
  
  public void onSuccess(AppDetails paramAppDetails)
    throws RemoteException
  {
    this.binderHelper.onSuccess(paramAppDetails);
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/AppDetailsListenerBinder.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */